Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Interface EnterpriseContextCachePolicy

All Superinterfaces:
  CachePolicy, Service

All Known Implementing Classes:
  NoPassivationCachePolicy

public interface EnterpriseContextCachePolicy
extends CachePolicy

Interface that specifies a policy for caches.

Implementation classes can implement a LRU policy, a random one, a MRU one, or any other suitable policy.

Version:
  $Revision: 1.4.4.1 $
Author:
  Simone Bordet (simone.bordet@compaq.com)
See Also:
  `AbstractInstanceCache`

Inner Class Summary
`static class` | `EnterpriseContextCachePolicy.Scheduler` Final class that hold a single instance of a `TimerQueue` object for all the CachePolicy instances, allowing the cache policies to register `TimerTask`s that will be executed in a single background thread.

Field Summary
`static EnterpriseContextCachePolicy.Scheduler` | `scheduler`

Methods inherited from interface org.jboss.util.CachePolicy
`flush, get, insert, peek, remove`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### scheduler

    public static final EnterpriseContextCachePolicy.Scheduler scheduler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.